Subject: Re: PATCH powerpc: 00/04 Remove __pmac, etc, sections, merge sections.h

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 18 Sep 2005 11:25:35 +1000

On Sat, 2005-09-17 at 10:31 -0500, Jon Loeliger wrote:
> Here is a new patch that removes all notion of the pmac, prep,
> chrp and openfirmware initialization sections, and then unifies
> the sections.h files without those __pmac, etc, sections identifiers
> cluttering things up.

When did we decide to do that ? Some people are still using ppc machines
with rather small memory footprint (old ones), it's handy to get rid of
the code you don't need... It would make sense if we could compile
CHRP/PMAC/PREP in/out (like we can do with platforms on ppc64) so that
people who have tight memory requirements can build a PReP or CHRP
kernel without all of the pmac code.

Ben.